SB_START_PAGEFAULT(9)

NAME
sb_start_pagefault - get write access to a superblock from a page fault

SYNOPSIS

void sb_start_pagefault(struct super_block * sb);

ARGUMENTS

sb
    the super we write to

DESCRIPTION

When a process starts handling write page fault, it should embed the operation into sb_start_pagefault - sb_end_pagefault pair to get exclusion against file system freezing. This is needed since the page fault is going to dirty a page. This function increments number of running page faults preventing freezing. If the file system is already frozen, the function waits until the file system is thawed.

Since page fault freeze protection behaves as a lock, users have to preserve ordering of freeze protection and other filesystem locks. It is advised to put sb_start_pagefault close to mmap_sem in lock ordering. Page fault

HANDLING CODE IMPLIES LOCK DEPENDENCY

mmap_sem -> sb_start_pagefault

COPYRIGHT